Loading...
Searching...
No Matches
seqan3::cigar_clipped_bases Struct Reference
Sequence Alignment » CIGAR Conversion

Helper struct to specialise soft and hard clipping when using seqan3::cigar_from_alignment. More...

`#include <seqan3/alignment/cigar_conversion/cigar_from_alignment.hpp>`

## Public Attributes

uint32_t | hard_back {}
| The number of hard clipped bases at the back of the CIGAR string.
uint32_t | hard_front {}
| The number of hard clipped bases at the front of the CIGAR string.
uint32_t | soft_back {}
| The number of soft clipped bases at the back of the CIGAR string.
uint32_t | soft_front {}
| The number of soft clipped bases at the front of the CIGAR string.

## Detailed Description

Helper struct to specialise soft and hard clipping when using seqan3::cigar_from_alignment.

A CIGAR string might have hard or soft clipping at the front or back, e.g., 2H3S100M3S2H.

The documentation for this struct was generated from the following file:

- cigar_from_alignment.hpp

Hide me